aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/prompt.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d/prompt.bash')
-rw-r--r--bash/bashrc.d/prompt.bash6
1 files changed, 3 insertions, 3 deletions
diff --git a/bash/bashrc.d/prompt.bash b/bash/bashrc.d/prompt.bash
index 0107c458..68656284 100644
--- a/bash/bashrc.d/prompt.bash
+++ b/bash/bashrc.d/prompt.bash
@@ -50,7 +50,7 @@ prompt() {
# Read the repository's status to refresh its info; ignore all the
# output; give up if this fails
- if ! git status &>/dev/null; then
+ if ! git status >/dev/null 2>&1; then
return 1
fi
@@ -78,7 +78,7 @@ prompt() {
fi
# If there are any stashed changes, add a circumflex to the state
- if git rev-parse --verify refs/stash &>/dev/null; then
+ if git rev-parse --verify refs/stash >/dev/null 2>&1; then
state[${#state[@]}]='^'
fi
@@ -118,7 +118,7 @@ prompt() {
# Subversion prompt function
svn)
# Exit if not inside a Subversion working copy
- if ! svn info &>/dev/null; then
+ if ! svn info >/dev/null 2>&1; then
return 1
fi